commit 3bdf2708b51b0ab7002aaef6a02fe9325ca269cf
Author: freddy77 <freddy77>
Date:   Fri Apr 17 09:54:27 2009 +0000

    improve dblib compatibility with windows

diff --git a/ChangeLog b/ChangeLog
index c52fdae..8d3d89f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Apr 17 11:54:00 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c: disable output buffering
+	* src/dblib/unittests/null2.c: fix for MS library
+
 Thu Apr 16 09:23:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c: fix extension stripping
 
@@ -1470,4 +1474,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2767 2009/04/16 07:24:25 freddy77 Exp $
+$Id: ChangeLog,v 1.2768 2009/04/17 09:54:27 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 5bc071a..337c4d7 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -14,7 +14,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.35 2009/04/16 07:24:25 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.36 2009/04/17 09:54:27 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -121,6 +121,9 @@ read_login_info(int argc, char **argv)
 	char filename[PATH_MAX];
 	static const char *PWD = "../../../PWD";
 	struct { char *username, *password, *servername, *database; char fverbose; } options;
+
+	setbuf(stdout, NULL);
+	setbuf(stderr, NULL);
 	
 #ifdef __VMS
 	{
diff --git a/src/dblib/unittests/null2.c b/src/dblib/unittests/null2.c
index b3b43f0..781441b 100644
--- a/src/dblib/unittests/null2.c
+++ b/src/dblib/unittests/null2.c
@@ -6,7 +6,7 @@
 
 #include <unistd.h>
 
-static char software_version[] = "$Id: null2.c,v 1.5 2008/11/25 22:58:29 jklowden Exp $";
+static char software_version[] = "$Id: null2.c,v 1.6 2009/04/17 09:54:27 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static DBPROCESS *dbproc = NULL;
@@ -184,10 +184,14 @@ main(int argc, char **argv)
 	test("TEXT", 1);
 
 	test("NVARCHAR(10)", 0);
+#ifndef DBNTWIN32
 	test("NTEXT", 0);
+#endif
 
 	test("VARCHAR(MAX)", 0);
+#ifndef DBNTWIN32
 	test("NVARCHAR(MAX)", 0);
+#endif
 
 	dbexit();
 

